<?php 
function check_mdp_format($mdp)
{
	$majuscule = preg_match('@[A-Z]@', $mdp);
	$minuscule = preg_match('@[a-z]@', $mdp);
	$chiffre = preg_match('@[0-9]@', $mdp);
	
	if(!$majuscule || !$minuscule || !$chiffre || strlen($mdp) < 8)
	{
		return false;
	}
	else 
		return true;
}
function chercher_ID($ID,$champs){
    include('conx.php');
    $stmt = $pdo->prepare("SELECT * FROM Users WHERE ".$champs."=?");
    $stmt->execute([$ID]); 
    $user = $stmt->fetch(); 
    if ($user) {
        return true;
    }else{ 
		return false;
    }
}
function chercher_passward($passward,$userID, $champs){
    include('conx.php'); 
	$data = [
    'email' => $userID,
	'pass' => Md5($passward) 
            ]; 
    $stmt = $pdo->prepare("SELECT * FROM Users WHERE email=:email and ".$champs."=:pass");
    $stmt->execute($data); 
    $hash = $stmt->fetch();   
    if (Md5($passward)== $hash['pass']) {  
            $_SESSION['utilisateur']=$hash['nom'] ;
			$_SESSION['email']= $hash['email'];
			$_SESSION['cdeusers']= $hash['cdeusers']; 
			$_SESSION['user_ssh']= $hash['user_ssh']; 
            $_SESSION['pass_ssh']= $hash['pass_ssh']; 
        return true;
    }else{
		return false;
    }
}


//FONCTION DE SECURITE CONTRE LES INJECTION SQL 
function securise_chaine($chaine){
	//$chaine = mysql_real_escape_string($chaine);
    $chaine =htmlentities($chaine, ENT_QUOTES | ENT_IGNORE, "UTF-8");
	
	return $chaine;
}
function recherche_existence($table,$champs,$ID){
	 include('conx.php'); 
$stmt = $pdo->prepare("SELECT $champs FROM $table WHERE $champs=?");
    $stmt->execute([$ID]);   
  if ($stmt->rowCount() > 0)  
	return "EXIST";
else	
	return "NOT EXIST";
}
function recherche_ID($table,$ID,$champ,$val_champ){
    include('conx.php'); 
$stmt = $pdo->prepare("SELECT $ID FROM $table WHERE $champ=? limit 0,1");
    $stmt->execute([$val_champ]);
    $hash = $stmt->fetch();  
	return $hash[0]; 
}
?>